Produto BaaS (titular). Requer Bearer JWT do login da conta e assinatura HMAC obrigatória. Scope: baas.pix-cash-in.write. Guia: documentação técnica.
stringAssinatura HMAC-SHA256 da requisição (hex).
stringTimestamp Unix (segundos, UTC) usado na assinatura.
stringNonce único por requisição (anti-replay).
stringRequer Bearer token do login da conta e assinatura HMAC obrigatórios.
Scope: baas.pix-cash-in.write.
| Header | Obrigatório | Descrição |
|---|---|---|
Authorization | Sim | Bearer {{access_token}} |
Accept | Sim | application/json |
X-Signature | Sim | Assinatura HMAC |
X-Timestamp | Sim | Timestamp da assinatura |
X-Nonce | Sim | Nonce único por requisição |
| Campo | Obrigatório | Descrição |
|---|---|---|
value | Sim | Centavos, máx. 1000000000. App bloqueia value = 0 |
key | Sim | Chave Pix ativa da conta (exists:keys,key) |
city | Sim | Máx. 15 caracteres (cidade no QR) |
type | Sim | static, dynamic ou dynamicWithExpiration |
description | Não | Máx. 60 caracteres |
expiration | Condicional | Y-m-d se type = dynamicWithExpiration |
debtor | Condicional | Objeto devedor se type = dynamicWithExpiration |
Guarde o txId retornado para Consultar cobrança.
| Código | Corpo | Causa |
|---|---|---|
422 | key[] | Chave inválida ou inativa |
422 | value[] | Valor ausente ou inválido |
4xx | QrCode type does not exist | Tipo de QR inválido |
curl --request POST \
--url 'https://api-h.nuvende.com.br/api/v2/baas/pix/cash-in' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{access_token}}' \
--header 'X-Timestamp: {{timestamp}}' \
--header 'X-Nonce: {{nonce}}' \
--header 'X-Signature: {{signature}}' \
--data '{
"value": 25000,
"key": "[email protected]",
"city": "TUBARAO",
"type": "static",
"description": "Produto exemplo"
}'
const axios = require("axios");
const data = {
value: 25000,
key: "[email protected]",
city: "TUBARAO",
type: "static",
description: "Produto exemplo",
};
axios({
method: "post",
url: "https://api-h.nuvende.com.br/api/v2/baas/pix/cash-in",
headers: {
"Content-Type": "application/json",
Accept: "application/json",
Authorization: "Bearer {{access_token}}",
"X-Timestamp": "{{timestamp}}",
"X-Nonce": "{{nonce}}",
"X-Signature": "{{signature}}",
},
data,
})
.then((response) => console.log(JSON.stringify(response.data)))
.catch((error) => console.log(error.response?.data || error.message));
import json
import requests
url = "https://api-h.nuvende.com.br/api/v2/baas/pix/cash-in"
payload = {
"value": 25000,
"key": "[email protected]",
"city": "TUBARAO",
"type": "static",
"description": "Produto exemplo"
}
headers = {
"Content-Type": "application/json",
"Accept": "application/json",
"Authorization": "Bearer {{access_token}}",
"X-Timestamp": "{{timestamp}}",
"X-Nonce": "{{nonce}}",
"X-Signature": "{{signature}}",
}
response = requests.post(url, headers=headers, data=json.dumps(payload))
print(response.text)
<?php
$curl = curl_init();
$opts = [
CURLOPT_URL => 'https://api-h.nuvende.com.br/api/v2/baas/pix/cash-in',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => '{
"value": 25000,
"key": "[email protected]",
"city": "TUBARAO",
"type": "static",
"description": "Produto exemplo"
}',
CURLOPT_HTTPHEADER => [
'Content-Type: application/json',
'Accept: application/json',
'Authorization: Bearer {{access_token}}',
'X-Timestamp: {{timestamp}}',
'X-Nonce: {{nonce}}',
'X-Signature: {{signature}}',
],
];
curl_setopt_array($curl, $opts);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
{
"payload": "00020126580014BR.GOV.BCB.PIX0136exemplo-payload-ficticio5204000053039865802BR5925Joao Recebedor Exemplo6009SAO PAULO62070503***6304ABCD",
"txId": "4n6GPU2Nt3EygXTqOjQpl8eCLD"
}
curl --request POST \
--url 'https://api-h.nuvende.com.br/api/v2/baas/pix/cash-in' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{access_token}}' \
--header 'X-Timestamp: {{timestamp}}' \
--header 'X-Nonce: {{nonce}}' \
--header 'X-Signature: {{signature}}' \
--data '{"value":5000,"key":"[email protected]","city":"Curitiba","type":"dynamic","description":"Pedido exemplo 12345"}'
curl --request POST \
--url 'https://api-h.nuvende.com.br/api/v2/baas/pix/cash-in' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{access_token}}' \
--header 'X-Timestamp: {{timestamp}}' \
--header 'X-Nonce: {{nonce}}' \
--header 'X-Signature: {{signature}}' \
--data '{"value":25000,"key":"[email protected]","city":"Sao Paulo","type":"dynamicWithExpiration","expiration":"2026-12-31","debtor":{"name":"Maria Pagadora Exemplo","cpf":"11144477735","city":"Sao Paulo","uf":"SP","cep":"01310100","logradouro":"Avenida Exemplo 1000"}}'
curl --request POST \
--url 'https://api-h.nuvende.com.br/api/v2/baas/pix/cash-in' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{access_token}}' \
--header 'X-Timestamp: {{timestamp}}' \
--header 'X-Nonce: {{nonce}}' \
--header 'X-Signature: {{signature}}' \
--data '{"value":25000,"key":"[email protected]","city":"Sao Paulo","type":"dynamicWithExpiration","expiration":"2026-12-31","debtor":{"name":"Loja Exemplo LTDA","cnpj":"43587980000107"}}'
{
"key": ["The selected key is invalid."]
}
{
"value": ["The value field is required."]
}